import {Observable} from 'rxjs';

export interface ICommand {

}

export interface ICommandAdapter<TCommand extends {}, TResult> {
  handle(command: TCommand): Observable<TResult>;
}

export interface IResolveCommandModelEvent<TModel> {
  command: string;
  model: TModel;
  params?: any;
}
